Bullet Collision Detection & Physics Library: btSoftBodyJointData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btSoftBodyJointData Struct Reference

`#include <btSoftBodyData.h>`

Collaboration diagram for btSoftBodyJointData:
[legend]

## Public Attributes
void * | m_bodyA
void * | m_bodyB
btVector3FloatData | m_refs [2]
float | m_cfm
float | m_erp
float | m_split
int | m_delete
btVector3FloatData | m_relPosition [2]
int | m_bodyAtype
int | m_bodyBtype
int | m_jointType
int | m_pad

## Detailed Description

Definition at line 170 of file btSoftBodyData.h.

## Member Data Documentation

## ◆ m_bodyA

void* btSoftBodyJointData::m_bodyA

Definition at line 172 of file btSoftBodyData.h.

## ◆ m_bodyAtype

int btSoftBodyJointData::m_bodyAtype

Definition at line 180 of file btSoftBodyData.h.

## ◆ m_bodyB

void* btSoftBodyJointData::m_bodyB

Definition at line 173 of file btSoftBodyData.h.

## ◆ m_bodyBtype

int btSoftBodyJointData::m_bodyBtype

Definition at line 181 of file btSoftBodyData.h.

## ◆ m_cfm

float btSoftBodyJointData::m_cfm

Definition at line 175 of file btSoftBodyData.h.

## ◆ m_delete

int btSoftBodyJointData::m_delete

Definition at line 178 of file btSoftBodyData.h.

## ◆ m_erp

float btSoftBodyJointData::m_erp

Definition at line 176 of file btSoftBodyData.h.

## ◆ m_jointType

int btSoftBodyJointData::m_jointType

Definition at line 182 of file btSoftBodyData.h.

## ◆ m_pad

int btSoftBodyJointData::m_pad

Definition at line 183 of file btSoftBodyData.h.

## ◆ m_refs

btVector3FloatData btSoftBodyJointData::m_refs[2]

Definition at line 174 of file btSoftBodyData.h.

## ◆ m_relPosition

btVector3FloatData btSoftBodyJointData::m_relPosition[2]

Definition at line 179 of file btSoftBodyData.h.

## ◆ m_split

float btSoftBodyJointData::m_split

Definition at line 177 of file btSoftBodyData.h.

The documentation for this struct was generated from the following file:

- btSoftBodyData.h